class RepoModel {
  String cursor;
  String name;
  String longName;
  String description;
  String url;
  bool isPrivate;
  String languageName;
  String languageColor;

  RepoModel.from(Map<String, dynamic> json) {
    this.cursor = json['cursor'];
    this.name = json['node']['name'];
    this.longName = json['node']['nameWithOwner'];
    this.description = json['node']['description'];
    this.url = json['node']['url'];
    this.isPrivate = json['node']['isPrivate'];
    this.languageName = json['node']['primaryLanguage']['name'];
    this.languageColor = json['node']['primaryLanguage']['color'];
  }
}
