class UserModel {
  String avatar;
  String fullName;
  String username;
  String bio;
  String company;
  String location;
  String url;

  UserModel.from(Map<String, dynamic> json) {
    this.avatar = json['avatarUrl'];
    this.fullName = json['name'];
    this.username = json['login'];
    this.bio = json['bio'];
    this.company = json['company'];
    this.location = json['location'];
    this.url = json['websiteUrl'];
  }
}
